/*
    Theme Name: Szablon 2023 - Grand View Property
    Description: Grand View Property custom template
    Author: ASARI
    Author URI: https://asaricrm.com/
    Template: asaritemplate2023
    Version: 1.0.0
*/


@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap');

#slider > .theres-more-button.visible {
    display: none;
}

:is(#slider .widgets, #slider + .widgets) :is(h1, h2, h3, h4, h5, h6, p):last-child {
    font-family: "Poppins", sans-serif;
    font-weight: 600!important;
    font-style: normal;
}

.wp-block-columns.greenbox-image.is-layout-flex.wp-container-core-columns-layout-2.wp-block-columns-is-layout-flex {
    width: 80%;
    margin: 0 auto;
    background: rgb(9, 73, 58);
    color: white;
}
.wp-block-column.green-box.is-layout-flow.wp-block-column-is-layout-flow {
    margin-top: 20px;
}
#content > article > div > div.wp-block-columns.greenbox-image.is-layout-flex.wp-container-core-columns-layout-2.wp-block-columns-is-layout-flex > div.wp-block-column.green-box.is-layout-flow.wp-block-column-is-layout-flow > div > div > a{

    background-color:rgb(9, 73, 58);;
    color: white;
    border-color:white;
}

#content > article > div > div.wp-block-columns.greenbox-image.is-layout-flex.wp-container-core-columns-layout-2.wp-block-columns-is-layout-flex > div.wp-block-column.green-box.is-layout-flow.wp-block-column-is-layout-flow > div > div > a:hover{

    background-color:white;
    color: rgb(9, 73, 58);
}

.the-content :is(.bg-dark, .bg-dark-2) :is(input[type="submit"], .wp-block-button.btn-no-border > a),
.the-content [class*="wp-block-"]:is(.bg-dark-2, .bg-color-3) :is(.wp-block-button.btn-no-border > a):not(:hover, :focus, :active) {
    border-color: transparent;
    background-color: transparent;
    padding: 0;
}
.the-content [class*="wp-block-"]:is(.bg-dark-2, .bg-color-3) :is(.wp-block-button.btn-no-border > a):is(:hover) {
    text-decoration: underline;
}

@media(max-width:760px){
    .wp-block-columns.greenbox-image.is-layout-flex.wp-container-core-columns-layout-2.wp-block-columns-is-layout-flex {
        padding:25px;
    }
}

.brand.size-100 {
    max-width: 300px;
}

#header .main-part .navigation ul li a, #header .sliding-part .navigation ul li a {
    font-weight: 400;
    font-size: 12px;
    text-decoration: none;
    text-transform: uppercase;
}
#header .main-part .navigation ul.menu > li > a, #header .sliding-part .navigation ul.menu > li > a {
    display: block;
    position: relative;
    padding: 15px 22px 10px 12px;
}

body.home:not(.v2) #slider .widgets {
    text-align: left!important;
}

#slider .widgets .widget {
    float:left;
    width: 80%!important;
}

#slider .widgets {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    left: 40%;
    padding-right: var(--page-margin);
    padding-left: var(--page-margin);
    max-height: 100%;
    transform: translateX(-50%);
    color: var(--color-white);
    z-index: 9;
    pointer-events: none;
}

#footer {
    padding-top: 2.5%;
    padding-bottom: 2.5%;
    color: var(--color-footer-text);
    background-color: var(--color-footer-bg);
}

.greenbox-image-wrapper {

}

.btn-wrapper-top-padding {
    /*margin-top: 60px;*/
}

.the-content .wp-block-columns.image-text.narrow-image-wrapper > .wp-block-column:first-child > .wp-block-cover {
    /*aspect-ratio: 0.4;
    display: block;*/
}
.the-content .wp-block-columns.image-text.narrow-image-wrapper > .wp-block-column:first-child > .wp-block-cover .wp-block-cover__image-background {
    object-fit: contain;
}

@media (max-width: 767px) {
    #slider .widgets {
        top: unset;
    }
    #footer #footer-widgets-bottom > .section:not(:is(:first-child, :last-child)) {
        flex-grow: 1;
        flex-basis: 100%;
    }
}

@media (max-width: 781px) {
    .the-content .wp-block-columns.image-text.greenbox-image-wrapper > .wp-block-column:first-child > .wp-block-cover {
        aspect-ratio: 1;
    }
    .the-content .wp-block-columns.image-text.narrow-image-wrapper > .wp-block-column:first-child {
        /*display: none;*/
    }
    .the-content .wp-block-columns.image-text.narrow-image-wrapper > .wp-block-column:first-child > .wp-block-cover {
        /*display:none;*/
        min-height: 480px;
    }
    .the-content .wp-block-columns.image-text.narrow-image-wrapper > .wp-block-column:last-child {
        /*width:100%;
        flex-basis: 100%!important;*/
    }
    .the-content [class*="wp-block-"].image-text.greenbox-image-wrapper .wp-block-buttons {
        justify-content: flex-start;
    }
    #footer .widgets > :is(.widget, .section) {
        flex-basis: 100%;
    }

    .the-content .wp-block-group.service > .wp-block-group__inner-container > .wp-block-group:not([class*="width-"]) {
        backdrop-filter: blur(3px);
        -webkit-backdrop-filter: blur(3px);
    }

    .the-content .wp-block-columns.image-text.narrow-image-wrapper > .wp-block-column:first-child > .wp-block-cover .wp-block-cover__image-background {
        height: auto;
        top:2em;
    }
}

@media (min-width: 768px) {
    #slider .widgets {
        top: auto;
        bottom: 60px;
        left: 50%;
    }

    .btn-wrapper-top-padding {
        /*margin-top: 120px;*/
        /*visibility: hidden;*/
    }

    .margin-bottom {
        margin-bottom: 90px;
    }
}

@media(min-width:782px) {
    .the-content .wp-block-columns.image-text.greenbox-image-wrapper > .wp-block-column:last-child {
        padding: 60px 28px ;
    }
    .the-content .wp-block-columns.image-text.narrow-image-wrapper > .wp-block-column:first-child {
        display: block;
    }
    .the-content .wp-block-media-text .wp-block-media-text__content, .the-content .wp-block-columns.image-text > .wp-block-column.p-r-none:last-child {
        padding-right: 0;
    }
}

#slider-widgets-1 > div > div > h2 {
    font-size: 34px!important;
    color: #09493A;
    text-shadow: none;
    padding: unset;
    background-color: unset;
    border-radius: unset;
}

@media(min-width:1280px) {
    #slider-widgets-1 > div > div > h2 {
        font-size: 72px !important;
        width: 950px;
        margin-top: 220px;
    }
    #slider .widgets {
        left: 30%;
    }
}

.the-content [class*="wp-block-"].bg-img.bg-img_1::after {
    background-image: url('assets/img/bg-theme-02c-cr.webp');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.the-content .wp-block-button.is-style-plain > a {
    font-size: 16px;
    text-transform: none;
    letter-spacing: normal;
    padding-left: 0;
    padding-right: 0;
    border-color: transparent;
}
.the-content .wp-block-group.service > .wp-block-group__inner-container > .wp-block-group:not([class*="width-"]) .wp-block-button.is-style-plain > a:not(:hover) {
    border-color: transparent;
}
.the-content .wp-block-button.is-style-plain > a:where(:hover, :focus) {
    background-color: transparent;
    border-color: transparent;
    color: var(--color-1);
}

/* ---------- RBX CUSTOM CODE START ---------- */

#rbx-subpage {
    color: #2C2926;
}

#rbx-subpage p {
    margin-bottom: 20px;
    line-height: 150%;
}

#rbx-subpage #content {
    padding-top: 0;
}

.rbx-container {
    max-width: 1600px;
    margin-left: auto;
    margin-right: auto;
}

.col-flex {
    display: flex;
    gap: 80px;
    flex-wrap: wrap;
}

.img-box {
    aspect-ratio: 1 / 1.25;
    overflow: hidden;
}

.img-box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.team-head-module {
    height: 75vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #e7e0d6;
    text-align: center;
    position: relative;
    margin-bottom: 100px;
}

body.blog #slider::after {
    content: 'Poczytaj na blogu';
    position: absolute;
    top: 45%;
    left: 0;
    width: 100%;
    text-align: center;
    font-size: 3rem;
    z-index: 100;
    color:#ffffff;
}

.team-head-module .img-box {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 25;
}

.team-head-module .img-box img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.2;
}

.team-head-module h1 {
    font-size: 3rem;
    font-weight: 600;
    position: relative;
    z-index: 50;
    line-height: 150%;
    color: #ffffff;
}

.team-head-list .item {
    padding: 50px 0;
}

.team-head-list .item .img-block, .property-carousel {
    flex: 0 0 calc(50% - 80px);
    padding: 50px;
    background-color: #fff;                    
    background-image: linear-gradient(#e7e0d6, #e7e0d6); 
    background-repeat: no-repeat;
    background-size: 50% 100%;                 
    background-position: left top;   
}

.team-head-list .item .content-block {
    display: flex;
    flex: 1;
    align-items: center;
    border-top: 1px solid #e7e0d6;
     border-bottom: 1px solid #e7e0d6;
}

.inside-box {
    flex: 1;
}

.team-head-list .item h2 {
    font-weight: 500;
    font-size: 3rem;
    color: #c5b8a5;
    margin-bottom: 10px;
}

.team-head-list .item .position.one {
    font-weight: 600;
}

.team-head-list .item .position.two {
    font-weight: 400;
}

.team-head-list .item .contact-box {
    margin: 25px 0;
    font-size: 1.5rem;
}

.team-head-list .item .txt {
    font-weight: 300;
}

h1, h2, h3, h4, .reviews-carousel .reviews-block .name, .property-carousel .name, body.blog #slider::after {
    font-family: 'Clash Display', sans-serif !important;
    font-weight: 500 !important;
}

h2 {
    font-size: 3rem !important;
    line-height: 135%;
    color: #c5b8a5;
}

.rbx-home-group .rbx-bg h2, .newsletter h2 {
     color: #ffffff;
}

.newsletter {
    background: #c5b8a5 url(img/grand-view-property-newsletter.webp) center center no-repeat;
    background-size: cover;
}

.rbx-home-group .rbx-bg.no-bg h2 {
     color: #c5b8a5;
}

h2.big {
    font-size: 4.5rem !important;
}

.rbx-home-group {
    padding-top: 150px;
    padding-bottom: 75px;
    color: #2C2926;
}

.rbx-home-group.koska {
    padding-top: 75px;
    padding-bottom: 0;
}

.rbx-home-group.insta {
    padding-bottom: 150px;
}


.rbx-home-group .rbx-head {
    padding-right: 75px;
    position: relative;
    top: -75px;
}

.rbx-home-group .rbx-head h1 {
    color: #c5b8a5;
    font-size: 4.5rem;
    font-weight: 500;
}

.rbx-home-group .rbx-head .rbx-subtitle {
    font-weight: 600;
    font-size: 1.75rem;
}

.rbx-home-group .rbx-bg {
   background: #e7e0d6;
   padding: 150px;
   display: flex;
   flex-direction: column;
   justify-content: center;
   position: relative;
   top: -75px;
}

.rbx-home-group .rbx-bg.no-bg {
    background: none;
    position: static;
}

.rbx-home-group .wp-block-columns {
    gap: 0;
}

.reviews-carousel {
    position: relative;
    padding: 100px;
}

.reviews-carousel .reviews-block {
    text-align: center;
    position: relative;
}

.reviews-carousel .reviews-block .txt {
    font-style: italic;
    margin-bottom: 50px;
    font-size: 1.15rem;
    font-weight: 600;
} 

.reviews-carousel .reviews-block .name {
    font-size: 1.75rem;
    color: #c5b8a5;
}

.swiper-button-prev:after, .swiper-button-next:after {
    display: none;
}

.swiper-button-next, .swiper-button-prev {
    width: 40px !important;
    height: 40px !important;
}

.reviews-carousel .swiper-button-next, .reviews-carousel .swiper-button-prev {
    margin-top: -75px !important;
}

.swiper-button-next svg, .swiper-button-prev svg {
    fill: #c5b8a5;
}

.swiper-button-prev svg {
    -moz-transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}

.property-carousel {
    position: relative;
}

.property-carousel .img-box {
    aspect-ratio: 16 / 8;
}

.property-carousel .propert-block {
    position: relative;
}

.property-carousel .name {
    position: absolute;
    bottom: 0;
    right: 0;
    background: #c5b8a5;
    padding: 25px 50px;
    width: 60%;
    font-size: 2rem;
    font-weight: 700;
    color: #ffffff;
}

.property-carousel .swiper-button-prev, .property-carousel .swiper-rtl .swiper-button-next {
    left: -60px;
}

.property-carousel .swiper-button-next, .property-carousel .swiper-rtl .swiper-button-prev {
    right: -10px;
    left: auto;
}

.rbx-button {
    justify-content: center;
    padding-top: 50px;
}

#footer {
    padding-top: 100px;
    padding-bottom: 100px;
    background: #e7e0d6;
    margin-bottom: 15px;
}

strong {
    font-weight: 600;
}

#slider-widgets-1 > div > div > h2 {
    color: #ffffff;
    font-weight: 500 !important;
}

#slider .widgets {
    z-index: 100;
}

body.home #slider {
    background: #e7e0d6;
    position: relative;
    z-index: 25;
}

body.home #slider::after {
    position: absolute;
    display: block;
    content: '';
    width: 100%;
    height: 50vh;
    background: #ffffff;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(231, 224, 214, 1) 60%);
    bottom: 0;
    left: 0;
    z-index: 50;
}

body.blog #slider {
    background: #e7e0d6;
}

body.blog #slider img {
    opacity: 0.3;
}

.the-content [class*="wp-block-"].bg-img::after {
    display: none;
}

.widget-offers.rows .property .inner {
    box-shadow: none;
    background: #e7e0d6;
}

.offer #title, .offer #params-main {
    background: #c5b8a5;
}

.offer #title .left-part h2, .offer #title .right-part .price, .offer #params-main dl dd {
    color: #ffffff;
}

.offer #title .left-part h1 {
    font-size: 1.5rem;
}

.offer #params-lateral {
    background: #e7e0d6;
}

@media (max-width: 1279px) {

    .rbx-home-group {
        font-size: 0.90rem;
        padding-top: 100px;
        padding-bottom: 50px;
    }

    .team-head-list {
        font-size: 0.90rem;
    }

    .rbx-home-group .rbx-bg {
        padding: 100px;
    }

    .rbx-home-group.koska {
        padding-bottom: 0;
    }

    .rbx-home-group.carousel {
        padding-top: 0;
        padding-bottom: 75px;
    }

    .rbx-home-group.reviews {
        padding-top: 0;
        padding-bottom: 0;
    }

    .property-carousel .name {
        width: 70%;
        font-size: 1.5rem;
    }

    h2 {
        font-size: 2.5rem !important;
    }

    h2.big {
        font-size: 3rem !important;
    }

    .team-head-list .item .img-block, .property-carousel {
        padding-right: 0;
    }

    .img-box {
        aspect-ratio: 1 / 1.75;
        overflow: hidden;
    }

}

@media (max-width: 1024px) {

    .rbx-home-group .rbx-bg {
        padding: 75px 100px;
    }

}

@media (max-width: 995px) {

    #slider .widgets {
        left: 60%;
    }

    .rbx-home-group.home-first {
        padding-bottom: 0;
    }

    .rbx-home-group.home-first .rbx-bg {
        padding-bottom: 0;
    }

    .rbx-home-group.koska {
        padding-top: 0;
    }

    .rbx-home-group.koska .rbx-bg {
        order: 2;
    }

    .rbx-home-group .rbx-bg {
        position: static;
    }

    .rbx-home-group.sale {
        padding-bottom: 0;
    }

    h2.big {
        padding-left: 10vw;
    }

    .property-carousel .img-box {
        aspect-ratio: 16 / 12;
    }

    .rbx-home-group.carousel {
        padding-bottom: 0;
    }

    .team-head-list .item .img-block, .property-carousel {
        flex-basis: 100%;
    }

    .img-box {
        aspect-ratio: 1 / 1.25;
    }

    .team-head-list .item .content-block {
        padding: 50px 0;
    }
}

@media (max-width: 767px) {

    .team-head-module h1 {
        font-size: 2rem;
        line-height: 125%;
    }

    .team-head-list .item .contact-box {
        font-size: 1rem;
    }

    #slider .widgets {
        left: 45%;
    }

     .rbx-home-group .rbx-bg {
        padding: 50px;
    }

    h2, h2.big {
        font-size: 2rem !important;
    }

    .property-carousel .name {
        position: static;
        font-size: 1rem;
        width: 100%;
    }

    .reviews-carousel {
        padding: 0px 50px 50px 50px;
    }

    .reviews-carousel .reviews-block .txt {
        font-size: 0.80rem;
    }

    .reviews-carousel .reviews-block .name {
        font-size: 1.15rem;
    }

    .button-prev {
        width: 30px !important;
        height: 30px !important;
    }

    .property-carousel {
        padding-left: 0;
    }

    .property-carousel .swiper-button-next, .property-carousel .swiper-rtl .swiper-button-prev {
        right: 0;
    }

    .property-carousel .swiper-button-prev, .property-carousel .swiper-rtl .swiper-button-next {
        left: 0;
        margin-bottom: 0;
    }

    .property-carousel .swiper-button-next svg, .property-carousel .swiper-button-prev svg {
        fill: #ffffff;
    }

    .reviews-carousel .swiper-button-next, .reviews-carousel .swiper-button-prev {
        margin-top: -150px !important;
    }

}



@media (min-width: 1280px) and (max-width: 1599px) {

    #slider .widgets {
        left: 40%;
    }

    .rbx-home-group .rbx-bg {
        padding: 100px 125px;
    }

    .rbx-home-group .rbx-bg.no-bg {
        padding: 0 125px;
    }

    h2 {
        font-size: 2.5rem !important;
    }

    .rbx-home-group.reviews {
        padding-top: 0;
    }

    .property-carousel .name {
        font-size: 1.5rem;
    }

    .img-box {
        aspect-ratio: 1 / 1.5;
    }
}

@media (min-width: 2560px) {

    .rbx-home-group {
        padding-left: 10vw;
        padding-right: 10vw;
    }

    .rbx-home-group.container {
        padding-left: 0;
        padding-right: 0;
    }

}



/* ---------- RBX CUSTOM CODE END ---------- */
